Get a plugin
curl --request GET \
--url https://api.smokeball.com/plugins/{pluginId} \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/plugins/{pluginId}"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/plugins/{pluginId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"externalId": "<string>",
"application": "Native",
"type": "Button",
"version": {
"id": "<string>",
"pluginId": "<string>",
"versionNumber": 123,
"name": "<string>",
"description": "<string>",
"placement": "<string>",
"requestEndpointUrl": "<string>",
"attributes": {
"text": "<string>",
"icon": "<string>",
"color": "<string>",
"tooltip": "<string>",
"page": {
"title": "<string>",
"width": 123,
"height": 123,
"useDefaultBrowser": true
}
},
"availability": {
"matterTypeIds": [
"<string>"
]
},
"createdDate": "2020-02-15T00:00:00Z",
"lastUpdatedDate": "2020-02-15T00:00:00Z"
},
"lastUpdated": 637847425252027400,
"createdDate": "2020-02-15T00:00:00Z",
"lastUpdatedDate": "2020-02-15T00:00:00Z",
"key": "<string>",
"additionalData": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Plugins
Get a plugin
Returns the plugin.
GET
/
plugins
/
{pluginId}
Get a plugin
Path Parameters
Response
When request is successful. Returns a 'Plugin' object.
Show child attributes
Show child attributes
Optional id provided by the external system that owns this plugin.
The application that the plugin should be rendered in.
Available options:
Native, Web, Archie The type of component the plugin should represent.
Available options:
Button, Tab Current version of the plugin.
Show child attributes
Show child attributes
Last updated timestamp.
Example:
637847425252027400
Plugin created date in UTC.
Example:
"2020-02-15T00:00:00Z"
Plugin last updated date in UTC.
Example:
"2020-02-15T00:00:00Z"
Signing key of the plugin to verify integrity of requesting secure URLs.
Collection of plugin meta data as KeyValuePair(string, object).
Show child attributes
Show child attributes